#include <iostream>
#include<stdio.h>
#include<string.h>
#include<stdbool.h>
using namespace std;
bool isPalindrome(char *str)
{
	int duzina = strlen(str);

	if (duzina == 1)
		return true;

	char *ptr1 = str;

	char *ptr2 = str+duzina-1;

	while (ptr2 > ptr1)
	{
		if (*ptr1 != *ptr2)
			return false;
		ptr1++;
		ptr2--;
	}

	return true;
}


int brojac(char s[])
{
	if (isPalindrome(s))
		return 0;

	
	s++;

	return 1 + brojac(s);
}


int main()
{
	char s[3000];
	cin>>s;
	int rezultat=brojac(s);
	if(rezultat==0){
rezultat=1;
	}
	printf("%d\n", rezultat);
	return 0;
}